Pixxel
Documentation
Developer Guide
Pixxel API
External
Ping ServerGET
Project
List projectsGETGet projectGET
AOI
List all AOIsGETCreate a new AOIPOSTGet AOIGETList supported satellitesGET
Search
Search satellite imagesPOST
Indices
List all available indicesGETCreate a new indexPOST
Visualizations
List visualizations for an AOIGETCreate a new visualizationPOSTUpdate visualization metadataPUTRollback visualization metadataPATCHGenerate an index PNG for a visualizationPOSTGenerate SLD styles for a visualizationPOST
Blocks
List BlocksGETGet Block VersionsGETGet Block by VersionGET
Insights
Create Insights on an AOIPOSTList InsightsGETDownload InsightsPUTDelete InsightsDEL
Assets
List assets for an AOIGET
Downloads
Create a download request for assets in an AOIPOSTGet status of a download requestGET
Workflows
List workflowsGETGet Workflows By IdGETGet Workflow Cost estimateGET
Jobs
List JobsGETCreate a job from a given workflowPOSTGet Job by Id and WF IdGETDownload JobPUT
Tasks
Download TaskPUT
Bandset
List all bandsetsGET
Order
List all ordersGETCreate an orderPOSTGet an orderGETList all orderItemsGETGet an orderItemGET
Archives
List all collectionsGETGet a collectionGETList items in a collectionGETGet itemGETSearch all itemsPOST
Report
download order reportGET
Stores
List storesGETCreate a storePOSTDelete a storeDEL
Catalog
List all deliveriesGETCreate deliveriesPOSTCreate a download resourcePOSTGet download statusGETSearch all catalogsPOSTGet a catalogGET
Pixxel
Documentation
Developer Guide
Pixxel API
External
Ping ServerGET
Project
List projectsGETGet projectGET
AOI
List all AOIsGETCreate a new AOIPOSTGet AOIGETList supported satellitesGET
Search
Search satellite imagesPOST
Indices
List all available indicesGETCreate a new indexPOST
Visualizations
List visualizations for an AOIGETCreate a new visualizationPOSTUpdate visualization metadataPUTRollback visualization metadataPATCHGenerate an index PNG for a visualizationPOSTGenerate SLD styles for a visualizationPOST
Blocks
List BlocksGETGet Block VersionsGETGet Block by VersionGET
Insights
Create Insights on an AOIPOSTList InsightsGETDownload InsightsPUTDelete InsightsDEL
Assets
List assets for an AOIGET
Downloads
Create a download request for assets in an AOIPOSTGet status of a download requestGET
Workflows
List workflowsGETGet Workflows By IdGETGet Workflow Cost estimateGET
Jobs
List JobsGETCreate a job from a given workflowPOSTGet Job by Id and WF IdGETDownload JobPUT
Tasks
Download TaskPUT
Bandset
List all bandsetsGET
Order
List all ordersGETCreate an orderPOSTGet an orderGETList all orderItemsGETGet an orderItemGET
Archives
List all collectionsGETGet a collectionGETList items in a collectionGETGet itemGETSearch all itemsPOST
Report
download order reportGET
Stores
List storesGETCreate a storePOSTDelete a storeDEL
Catalog
List all deliveriesGETCreate deliveriesPOSTCreate a download resourcePOSTGet download statusGETSearch all catalogsPOSTGet a catalogGET
  1. Catalog
  2. Search all catalogs

Search all catalogs

Search all catalogs owned by the workspace

POST/v0/catalogs/search
Authorisations
AuthorizationString
Request Body
bboxnumber[]
Only features that have a geometry that intersects the bounding box are selected. The bounding box is provided as four numbers: Lower left: (Latitude 1, Longitude1) Upper right: (Latitude 2, Longitude 2) The coordinate reference system of the values is WGS84 longitude/latitude (http://www.opengis.net/def/crs/OGC/1.3/CRS84) unless a different coordinate reference system is specified in the parameter bbox-crs. For WGS84 longitude/latitude the values are in most cases the sequence of minimum longitude, minimum latitude, maximum longitude and maximum latitude. However, in cases where the box spans the antimeridian the first value (west-most box edge) is larger than the third value (east-most box edge). If a feature has multiple spatial geometry properties, it is the decision of the server whether only a single spatial geometry property is used to determine the extent or all relevant geometries. Example: The bounding box of the New Zealand Exclusive Economic Zone in WGS 84 (from 160.6°E to 170°W and from 55.95°S to 25.89°S) would be represented in JSON as [160.6, -55.95, -170, -25.89] and in a query as bbox=160.6,-55.95,-170,-25.89Example: [160.6,-55.95,-170,-25.89]
collectionsstring[]
Array of Collection IDs to include in the search for items. Only Item objects in one of the provided collections will be searched.
datetimestring
Either a date-time or an interval, open or closed. Date and time expressions adhere to RFC 3339. Open intervals are expressed using double-dots. Examples: A date-time: "2018-02-12T23:20:50Z" A closed interval: "2018-02-12T00:00:00Z/2018-03-18T12:31:12Z" Open intervals: "2018-02-12T00:00:00Z/.." or "../2018-03-18T12:31:12Z" Only features that have a temporal property that intersects the value of datetime are selected. If a feature has multiple temporal properties, it is the decision of the server whether only a single temporal property is used to determine the extent or all relevant temporal properties.Example: "2020-04-05T11:56:49.865Z/2023-06-05T11:56:49.865Z"
idsstring[]
Example: ["47435e2b-d8c4-41ff-9de9-2be3bfc92276"]
intersectsobject
pointGeoJSON (object) or multipointGeoJSON (object) or linestringGeoJSON (object) or multilinestringGeoJSON (object) or polygonGeoJSON (object) or multipolygonGeoJSON (object) or geometrycollectionGeoJSON (object) (geometryGeoJSON) The optional intersects parameter filters the result Items in the same way as bbox, only with a GeoJSON Geometry rather than a bbox.
Show child attributes
item_idsstring[]
STAC Item IDs as present in the archives APIExample: ["TD1_2024_ABC"]
limitinteger
Example: 50
offsetinteger
Example: 50
order_idsstring[]
Example: ["57435e2b-d8c4-41ff-9de9-2be3bfc92277"]
order_item_idsstring[]
Example: ["57435e2b-d8c4-41ff-9de9-2be3bfc92278"]
queryobject
a query object to search/filter according to the properites of the stac-item ``` "query": { "cloudcover": { "gt": 0, "lt": 10 }, "bands": { "eq": [ "RGB", "B001", "B002" ] } } ```
sort_byobject[]
a sortby object to sort the items by the properties of the stac-item "sortby": [ { "field": "properties->>'datetime'", "direction": "desc" } ]
Response
application/json
OK
catalogsobject[]
Show child attributes
paginationobject
Show child attributes
Search all catalogs
cURL
Python
Go
TypeScript
1curl -X POST 'https://api.pixxel.space/v0/catalogs/search' \
2 -H 'Authorization: YOUR_API_KEY' \
3 -H 'Content-Type: application/json' \
4 -d '{
5 "bbox": [
6 160.6,
7 -55.95,
8 -170,
9 -25.89
10 ],
11 "collections": [
12 "string"
13 ],
14 "datetime": "2020-04-05T11:56:49.865Z/2023-06-05T11:56:49.865Z",
15 "ids": [
16 "47435e2b-d8c4-41ff-9de9-2be3bfc92276"
17 ],
18 "intersects": null,
19 "item_ids": [
20 "TD1_2024_ABC"
21 ],
22 "limit": 50,
23 "offset": 50,
24 "order_ids": [
25 "57435e2b-d8c4-41ff-9de9-2be3bfc92277"
26 ],
27 "order_item_ids": [
28 "57435e2b-d8c4-41ff-9de9-2be3bfc92278"
29 ],
30 "query": {},
31 "sort_by": [
32 {}
33 ]
34}'
Response:
{
"catalogs": [
{
"area": 100,
"bandset_id": "47435e2b-d8c4-41ff-9de9-2be3bfc92277",
"created_at": "2024-05-27T06:50:20.056549Z",
"created_by": "0d7b3c5e-3b2a-4e77-bedb-5e0d2257cdb6",
"delivery_status": "SUCCESSFUL",
"details": null,
"id": "47435e2b-d8c4-41ff-9de9-2be3bfc92276",
"org_id": "e31ab6f8-d359-4c6a-83c6-bfa322 29bb01",
"task_id": "ef8195b7-5ca6-4aca-a3fc-df6ffd58892d",
"updated_at": "2024-05-27T06:50:20.056549Z",
"updated_by": "0ada9483-e3ed-4f31-8a69-372686966451"
}
],
"pagination": {
"limit": 10,
"offset": 0,
"total": 100
}
}
Get download statusGet a catalog